BOS_GETRESTART(8)

NAME
bos_getrestart - Displays the automatic restart times for server processes

SYNOPSIS
bos getrestart -server <machine name> [-cell <cell name>]
    [-noauth] [-localauth] [-help]

bos getr -s <machine name> [-c <cell name>] [-n]
    [-l] [-h]

DESCRIPTION
The bos getrestart command displays two restart times from the /usr/afs/local/BosConfig file on the server machine named by the -server argument:

•   The general restart time at which the BOS Server process automatically restarts itself and all processes marked with status "Run" in the BosConfig file. The default is Sunday at 4:00 a.m.

•   The binary restart time at which the BOS Server automatically restarts any process for which the time stamp on the binary file in the /usr/afs/bin directory is later than the last restart time for the process. The default is 5:00 a.m. Use the bos getdate command to list a binary file's timestamp, and the -long flag to the bos status command to display a process's most recent restart time.

Use the bos setrestart command to set the restart times.

OPTIONS

-server <machine name>
    Indicates the server machine for which to display the restart times. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The output consists of two lines:

   Server <machine_name> restarts at <time>
   Server <machine_name> restarts for new binaries at <time>

Possible values for <time> include:

•   "never", indicating that the BOS Server never performs that type of restart.

•   "now", indicating that the BOS Server performs that type of restart only each time it restarts.

•   A specified day and time, indicating that the BOS Server performs that type of restart once per week. Example: "sun 4:00 am".

•   A specified time, indicating that the BOS Server performs that type of restart once per day. Examples: "11:00 pm", "3:00 am".

EXAMPLES
The following example displays the restart times for the machine "db2.abc.com":

   % bos getrestart db2.abc.com
   Server db2.abc.com restarts at sun 4:00 am
   Server db2.abc.com restarts for new binaries at 2:15 am

In the following example, the issuer abbreviates the machine name "fs1.abc.com" to "fs1", relying on the cell's name server to resolve the name. The output echoes the abbreviated form.

   % bos getrestart fs1
   Server fs1 restarts at sat 5:00 am
   Server fs1 restarts for new binaries at 11:30 pm

PRIVILEGE REQUIRED
None

SEE ALSO
BosConfig(5), KeyFile(5), bos(8), bos_getdate(8), bos_setrestart(8), bos_status(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.